View Issue Details

IDProjectCategoryView StatusLast Update
11936Development [All Projects] Pluginspublic2018-02-16 15:53
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.5x 
Summary11936: Clear plugin directory and remove it from .git
Description

When we use GIT : and have external plugin : the plugin directory are in "gitted" directory.

Steps To Reproduce

Think best is

  • move included plugin in own directory (app/core/plugins)
  • move demo plugin in docs ?
  • /plugins/* in gitignore
TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2016-11-28 10:14

developer   ~42248

Alt solution : https://gist.github.com/hieblmedia/9318457

Must look if we can do :
!/plugins/
/plugins/**
!/plugins/Demo/
!/plugins/AuditLog/
!/plugins/index.html

And after add a new 'limesurvey distributed plugin'.

Maybe in 2 step
1st commit
!/plugins/
/plugins/**
!/plugins/Demo/
!/plugins/AuditLog/
!/plugins/NewPlugin/
!/plugins/index.html

2nd commit : add /plugins/NewPlugin/

I give a try

DenisChenu

DenisChenu

2016-11-28 10:24

developer   ~42249

OK :

  1. https://github.com/Shnoulle/LimeSurvey-Shnoulle/commit/e05dac14a5c9c309cc357e3112eac88eee60eba5
  2. Add a plugin directory b: nothing happen
  3. update .gitconfig : https://github.com/Shnoulle/LimeSurvey-Shnoulle/commit/2ddee13de890064109fb897490cca962804c2227

Related Changesets

LimeSurvey: master 5ca6120e

2016-11-28 10:27:38

DenisChenu

Details Diff
Dev: issue 11936: Clear plugin directory and remove it from .git
Dev: use partial solution
Affected Issues
11936
mod - .gitignore Diff File

Issue History

Date Modified Username Field Change
2016-11-22 08:24 DenisChenu New Issue
2016-11-28 10:14 DenisChenu Note Added: 42248
2016-11-28 10:24 DenisChenu Note Added: 42249
2016-11-28 10:25 DenisChenu Assigned To => DenisChenu
2016-11-28 10:25 DenisChenu Status new => assigned
2016-11-28 10:27 DenisChenu Changeset attached => LimeSurvey master 5ca6120e
2016-11-28 10:28 DenisChenu Status assigned => resolved
2016-11-28 10:28 DenisChenu Resolution open => fixed
2016-11-28 10:28 DenisChenu Fixed in Version => 2.5x
2018-02-16 15:53 c_schmitz Status resolved => closed